Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Class TextTemplate

    java.lang.Object
      com.novell.xsl.process.TextTemplate

All Implemented Interfaces:
  Template

    public class TextTemplate

extends Object
implements Template

A template that creates literal text. This template corresponds to `xsl:text` elements as well as literal character data (including character references and CDATA sections).

Constructor Summary
`TextTemplate(String text, boolean noEscaping, Node nsContext)` Constructs a text template that creates the specified text.

Method Summary
`void` | `dump(PrintWriter out, int indent)` Dumps this object to the specified output stream.
`Node` | `getNamespaceContext()` Return the node that is the namespace context for this template
`String` | `getText()` Returns the text that this template creates.
`void` | `instantiate(ProcessingEnv env, Node currentNode, ResultHandler result)` Instantiates this template for the specified current node and sends the result to the specified result handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextTemplate

    public TextTemplate(String text,
                        boolean noEscaping,
                        Node nsContext)

  Constructs a text template that creates the specified text.

  Parameters:
    `text` - the text that the template creates
    `noEscaping` - If serialized, text should be output without escaping
    `nsContext` - The node in the style sheet from which this template comes

Method Detail

### getText

    public String getText()

  Returns the text that this template creates.

  Returns:
    the text that this template creates

### instantiate

    public void instantiate(ProcessingEnv env,
                            Node currentNode,
                            ResultHandler result)
                     throws XSLException

  Instantiates this template for the specified current node and sends the result to the specified result handler.

  For a `TextTemplate`, this method adds a text node containing this template's text to the result tree.

  Specified by:
    `instantiate` in interface `Template`
  Parameters:
    `env` - the current processing environment
    `currentNode` - the current source node
    `result` - the handler to which results are sent
  Throws:
    `XSLException` - if a fatal error occurs during instantiation

### getNamespaceContext

    public Node getNamespaceContext()

  Return the node that is the namespace context for this template

  Specified by:
    `getNamespaceContext` in interface `Template`
  Returns:
    The namespace context node.

### dump

    public void dump(PrintWriter out,
                     int indent)

  Dumps this object to the specified output stream.

  Specified by:
    `dump` in interface `Template`
  Parameters:
    `out` - the output stream to write to
    `indent` - number of tabs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD